import 'package:flutter/material.dart';
import 'package:flutter_firebase_basic_tools/screens/login.dart';
import 'package:flutter_firebase_basic_tools/logic/custom_colors.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter Demo',
      theme: ThemeData(
        primarySwatch: Colors.blue,
        visualDensity: VisualDensity.adaptivePlatformDensity,
      ),
      home: MyHomePage(),
    );
  }
}

class MyHomePage extends StatefulWidget {
  @override
  _MyHomePageState createState() => _MyHomePageState();
}

class _MyHomePageState extends State<MyHomePage> {
  CustomColors customColors = CustomColors();

  @override
  Widget build(BuildContext context) {
    return Login(
      topbarBackgroundColor: customColors.green.withOpacity(0.7),
      userInfoFormContainerColor1: Colors.white.withOpacity(0.7),
      userInfoFormContainerColor2: customColors.oceanBlue.withOpacity(0.7),
      userInfoFormContainerColor3: customColors.darkAqua.withOpacity(0.7),
      rememberMeColor: CustomColors().oceanBlue,
      loginButtonColor: CustomColors().oceanBlue,
      forgotButtonColor: CustomColors().oceanBlue,
      registerButtonColor: CustomColors().oceanBlue,
      itemsTextColor: CustomColors().oceanBlue,
      backgroundImagePath: "assets/images/background_building.jpg",
      apiKey: "[API_KEY]",
    );
  }
}
