import 'dart:convert';
import 'package:http/http.dart';
import 'package:shared_preferences/shared_preferences.dart';

class GoogleTranslationApi {
  Future<String> translate(String originalText, String apiKey) async {
    var result = "";

    SharedPreferences prefs = await SharedPreferences.getInstance();

    if (prefs.getString("language_target") == null) {
      prefs.setString("language_target", "en");
    }

    String target = prefs.getString("language_target");

    if (target == "en") {
      result = originalText;
    } else {
      String url =
          'https://translation.googleapis.com/language/translate/v2?source=en&target=$target&key=$apiKey&q=$originalText&format=text';

      Map<String, String> headers = {"Content-type": "application/json"};

      Response response = await get(url, headers: headers);

      Map<String, dynamic> body = jsonDecode(response.body);

      result = body['data']['translations'][0]['translatedText'];
    }

    //print(result);

    return result;
  }
}
