import 'dart:async';
import 'dart:core';
import 'package:flutter_firebase_basic_tools/logic/google_translation_api.dart';

class TranslationStream {
  List<StreamController<String>> controllers = List<StreamController<String>>();
  List<Stream> streams = List<Stream>();
  List<String> originalTexts = List<String>();

  init(List<String> textList, var parentWidget) {
    for (int i = 0; i < textList.length; i++) {
      controllers.add(StreamController<String>());
      streams.add(controllers[i].stream);
      originalTexts.add("");
    }

    for (int i = 0; i < textList.length; i++) {
      originalTexts[i] = textList[i];

      streams[i].listen((newText) {
        parentWidget.textList[i] = newText;
        parentWidget.setState(() {});
      });

      controllers[i].add(originalTexts[i]);
    }
  }

  translate(String apiKey) {
    for (int i = 0; i < originalTexts.length; i++) {
      addNewTranslatedText(i, apiKey);
    }
  }

  addNewTranslatedText(int i, String apiKey) async {
    controllers[i]
        .add(await GoogleTranslationApi().translate(originalTexts[i], apiKey));
  }
}
