import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class CardHolder extends StatefulWidget {
  const CardHolder({
    this.child,
    this.title,
    this.subtitle,
    this.text,
    this.titleInTheMiddle,
    this.onPress,
  });

  final Widget child;
  final String title;
  final String subtitle;
  final String text;
  final bool titleInTheMiddle;
  final Function onPress;

  @override
  _CardHolderState createState() => _CardHolderState();
}

class _CardHolderState extends State<CardHolder> {
  double topCardMargin = 0;

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      onTap: () {
        widget.onPress();
      },
      child: LayoutBuilder(
          builder: (BuildContext context, BoxConstraints constraints) {
        return MouseRegion(
          onEnter: (PointerEvent details) {
            topCardMargin =
                (constraints.maxHeight / 3.5) + (constraints.maxHeight / 8);
            setState(() {});
          },
          onExit: (PointerEvent details) {
            topCardMargin = (constraints.maxHeight / 3.5);
            setState(() {});
          },
          child: Container(
            child: Stack(
              alignment: Alignment.center,
              children: <Widget>[
                LayoutBuilder(builder:
                    (BuildContext context, BoxConstraints constraints) {
                  return Container(
                    margin: EdgeInsets.only(top: constraints.maxHeight / 4),
                    height: constraints.maxHeight,
                    width: constraints.maxWidth,
                    child: Card(
                      elevation: 2,
                      child: Container(
                        padding: EdgeInsets.only(left: 20),
                        child: Column(
                          crossAxisAlignment: CrossAxisAlignment.start,
                          children: <Widget>[
                            Spacer(flex: 18),
                            Expanded(
                              flex: 6,
                              child: Text(
                                widget.title,
                                textAlign: TextAlign.left,
                                style: TextStyle(
                                  color: Colors.black,
                                  fontSize: 24,
                                  fontWeight: FontWeight.bold,
                                  //fontStyle: FontStyle.italic,
                                ),
                              ),
                            ),
                            widget.titleInTheMiddle != null &&
                                    widget.titleInTheMiddle
                                ? Container()
                                : Expanded(
                                    flex: 4,
                                    child: Text(
                                      widget.subtitle,
                                      textAlign: TextAlign.left,
                                      style: TextStyle(
                                        color: Colors.grey,
                                        fontSize: 18,
                                        //fontWeight: FontWeight.bold,
                                        //fontStyle: FontStyle.italic,
                                      ),
                                    ),
                                  ),
                            widget.titleInTheMiddle != null &&
                                    widget.titleInTheMiddle
                                ? Container()
                                : Expanded(
                                    flex: 4,
                                    child: Text(
                                      widget.text,
                                      textAlign: TextAlign.left,
                                      style: TextStyle(
                                        color: Colors.grey,
                                        fontSize: 18,
                                        //fontWeight: FontWeight.bold,
                                        //fontStyle: FontStyle.italic,
                                      ),
                                    ),
                                  ),
                            Spacer(flex: 1),
                          ],
                        ),
                      ),
                    ),
                  );
                }),
                LayoutBuilder(builder:
                    (BuildContext context, BoxConstraints constraints) {
                  return AnimatedContainer(
                    height: constraints.maxHeight / 2,
                    width: constraints.maxWidth * 0.96,
                    margin: EdgeInsets.only(
                        bottom: topCardMargin != 0
                            ? topCardMargin
                            : (constraints.maxHeight / 3.5)),
                    duration: Duration(milliseconds: 100),
                    curve: Curves.linear,
                    child: Card(
                      elevation: 3,
                      child: widget.child,
                    ),
                  );
                }),
              ],
            ),
          ),
        );
      }),
    );
  }
}
