import 'package:flutter_firebase_basic_tools/widgets/characteristics_container.dart';
import 'package:flutter_firebase_basic_tools/widgets/why_us_container.dart';
import 'package:flutter/material.dart';
import 'package:flutter/rendering.dart';

class CharacteristicsAndWhyUsContainer extends StatefulWidget {
  const CharacteristicsAndWhyUsContainer({
    @required this.texts,
  });

  final List<String> texts;

  @override
  _CharacteristicsAndWhyUsContainerState createState() =>
      _CharacteristicsAndWhyUsContainerState();
}

class _CharacteristicsAndWhyUsContainerState
    extends State<CharacteristicsAndWhyUsContainer> {
  double currentPage = 0;
  final PageController pageController = PageController(initialPage: 0);

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    bool isPortrait =
        MediaQuery.of(context).size.width > MediaQuery.of(context).size.height
            ? false
            : true;

    if (isPortrait) {
      return PageView(
        scrollDirection: Axis.vertical,
        onPageChanged: (int page) {
          setState(() {
            currentPage = page.toDouble();
          });
        },
        pageSnapping: false,
        controller: pageController,
        children: [
          CharacteristicsContainer(
            texts: widget.texts.sublist(0, 8),
          ),
          WhyUsContainer(
            texts: widget.texts.sublist(8, 16),
          ),
        ],
      );
    } else {
      return Container(
        child: Column(
          children: <Widget>[
            Expanded(
              flex: 1,
              child: CharacteristicsContainer(
                texts: widget.texts.sublist(0, 8),
              ),
            ),
            Expanded(
              flex: 1,
              child: WhyUsContainer(
                texts: widget.texts.sublist(8, 16),
              ),
            ),
          ],
        ),
      );
    }
  }
}
