import 'package:flutter/material.dart';

class CharacteristicsContainerItem extends StatefulWidget {
  const CharacteristicsContainerItem({
    this.title,
    this.description,
    this.icon,
    this.color,
    this.titleColor,
    this.subtitleColor,
    this.iconColor,
    this.sideIcon,
    this.largeDescription,
    this.alignToLeftDescription,
  });

  final String title;
  final String description;
  final IconData icon;
  final Color color;
  final Color titleColor;
  final Color subtitleColor;
  final Color iconColor;
  final bool sideIcon;
  final bool largeDescription;
  final bool alignToLeftDescription;

  @override
  _CharacteristicsContainerItemState createState() =>
      _CharacteristicsContainerItemState();
}

class _CharacteristicsContainerItemState
    extends State<CharacteristicsContainerItem> {
  @override
  Widget build(BuildContext context) {
    return Container(
      color: widget.color,
      child: Row(
        children: <Widget>[
          widget.sideIcon
              ? Expanded(
                  flex: 1,
                  child: Column(
                    children: <Widget>[
                      Expanded(
                        flex: 1,
                        child: Icon(
                          widget.icon,
                          color: widget.iconColor,
                          size: 40,
                        ),
                      ),
                      Spacer(flex: 3),
                    ],
                  ),
                )
              : Container(),
          Expanded(
            flex: 5,
            child: Column(
              crossAxisAlignment: widget.sideIcon
                  ? CrossAxisAlignment.start
                  : CrossAxisAlignment.center,
              children: <Widget>[
                !widget.sideIcon ? Spacer(flex: 1) : Container(),
                !widget.sideIcon
                    ? Expanded(
                        flex: 5,
                        child: Icon(
                          widget.icon,
                          color: widget.iconColor,
                          size: 40,
                        ),
                      )
                    : Container(),
                Spacer(flex: 1),
                Expanded(
                  flex: 3,
                  child: Text(
                    widget.title,
                    textAlign:
                        widget.sideIcon ? TextAlign.left : TextAlign.center,
                    style: TextStyle(
                      color: widget.titleColor,
                      fontSize: 24,
                      fontWeight: FontWeight.bold,
                    ),
                  ),
                ),
                Spacer(flex: 1),
                Expanded(
                  flex: widget.largeDescription ? 50 : 3,
                  child: FractionallySizedBox(
                    widthFactor: 0.8,
                    child: SingleChildScrollView(
                      child: Text(
                        widget.description,
                        textAlign: widget.alignToLeftDescription
                            ? TextAlign.left
                            : TextAlign.center,
                        style: TextStyle(
                          color: widget.subtitleColor,
                          fontSize: 16,
                        ),
                      ),
                    ),
                  ),
                ),
                Spacer(flex: 1),
              ],
            ),
          ),
        ],
      ),
    );
  }
}
