import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class ClassQuizAnswerItem extends StatefulWidget {
  const ClassQuizAnswerItem({
    this.answerText,
    this.index,
    this.classQuizQuestion,
    this.isSelected,
    this.backgroundColor,
  });

  final String answerText;
  final int index;
  final classQuizQuestion;
  final bool isSelected;
  final Color backgroundColor;

  @override
  _ClassQuizAnswerItemState createState() => _ClassQuizAnswerItemState();
}

class _ClassQuizAnswerItemState extends State<ClassQuizAnswerItem> {
  bool isAnImage = false;

  checkText() {
    if (widget.answerText.contains("https")) {
      isAnImage = true;
      setState(() {});
    }
  }

  @override
  void initState() {
    super.initState();
    checkText();
  }

  @override
  Widget build(BuildContext context) {
    bool isPortrait =
        MediaQuery.of(context).orientation == Orientation.portrait;

    return Container(
      height: MediaQuery.of(context).size.height / 6,
      color: Colors.blueGrey,
      child: RaisedButton(
        color: widget.isSelected ? Colors.cyan : widget.backgroundColor,
        onPressed: () {
          print(widget.answerText);
          widget.classQuizQuestion.currentIndex = widget.index;
          widget.classQuizQuestion.setState(() {});
        },
        child: isAnImage
            ? Image.network(
                widget.answerText,
                fit: BoxFit.fitHeight,
              )
            : Text(widget.answerText),
      ),
    );
  }
}
