import 'package:flutter_firebase_basic_tools/widgets/characteristics_container_item.dart';
import 'package:flutter/material.dart';

class CoreValues extends StatefulWidget {
  const CoreValues({
    @required this.texts,
  });

  final List<String> texts;

  @override
  _CoreValuesState createState() => _CoreValuesState();
}

class _CoreValuesState extends State<CoreValues> {
  @override
  Widget build(BuildContext context) {
    bool isPortrait =
    MediaQuery.of(context).size.width > MediaQuery.of(context).size.height
        ? false
        : true;

    return Container(
      height: MediaQuery.of(context).size.height,
      color: Colors.white.withAlpha(0),
      child: Row(
        children: <Widget>[
          Spacer(flex: 1),
          Expanded(
            flex: 8,
            child: Column(
              children: <Widget>[
                Spacer(flex: 1),
                Expanded(
                  flex: 2,
                  child: FractionallySizedBox(
                    widthFactor: 0.7,
                    child: Text(
                      widget.texts[0],
                      textAlign: TextAlign.center,
                      style: TextStyle(
                        color: Colors.black,
                        fontSize: 40,
                        //fontWeight: FontWeight.bold,
                      ),
                    ),
                  ),
                ),
                Expanded(
                  flex: 1,
                  child: FractionallySizedBox(
                    widthFactor: 0.7,
                    child: Text(
                      widget.texts[1],
                      textAlign: TextAlign.center,
                      style: TextStyle(
                        color: Colors.grey,
                        fontSize: 18,
                      ),
                    ),
                  ),
                ),
                Spacer(flex: 1),
                Expanded(
                  flex: 14,
                  child: Flex(
                    direction: isPortrait ? Axis.vertical : Axis.horizontal,
                    children: <Widget>[
                      Expanded(
                        flex: 1,
                        child: CharacteristicsContainerItem(
                          //title: widget.texts[2],
                          title: "American",
                          description: widget.texts[3],
                          icon: Icons.shutter_speed,
                          color: Colors.white.withAlpha(0),
                          titleColor: Colors.black,
                          subtitleColor: Colors.grey,
                          iconColor: Colors.orangeAccent,
                          sideIcon: false,
                          largeDescription: true,
                          alignToLeftDescription: true,
                        ),
                      ),
                      Expanded(
                        flex: 1,
                        child: CharacteristicsContainerItem(
                          //title: widget.texts[4],
                          title: "Business",
                          description: widget.texts[5],
                          icon: Icons.message,
                          color: Colors.white.withAlpha(0),
                          titleColor: Colors.black,
                          subtitleColor: Colors.grey,
                          iconColor: Colors.lightBlueAccent,
                          sideIcon: false,
                          largeDescription: true,
                          alignToLeftDescription: true,
                        ),
                      ),
                      Expanded(
                        flex: 1,
                        child: CharacteristicsContainerItem(
                          //title: widget.texts[6],
                          title: "Excellence",
                          description: widget.texts[7],
                          icon: Icons.compare,
                          color: Colors.white.withAlpha(0),
                          titleColor: Colors.black,
                          subtitleColor: Colors.grey,
                          iconColor: Colors.redAccent,
                          sideIcon: false,
                          largeDescription: true,
                          alignToLeftDescription: true,
                        ),
                      ),
                    ],
                  ),
                ),
                Spacer(flex: 1),
              ],
            ),
          ),
          Spacer(flex: 1),
        ],
      ),
    );
  }
}
