import 'package:auto_size_text/auto_size_text.dart';
import 'package:flutter/material.dart';

class DownloadAppsContainer extends StatefulWidget {
  const DownloadAppsContainer({
    @required this.texts,
  });

  final List<String> texts;

  @override
  _DownloadAppsContainerState createState() => _DownloadAppsContainerState();
}

class _DownloadAppsContainerState extends State<DownloadAppsContainer> {
  double currentPage = 0;
  final PageController pageController = PageController(initialPage: 0);

  @override
  Widget build(BuildContext context) {
    bool isPortrait =
        MediaQuery.of(context).size.width > MediaQuery.of(context).size.height
            ? false
            : true;

    var widgetsList = <Widget>[
      Spacer(flex: 2),
      Expanded(
        flex: isPortrait ? 6 : 4,
        child: Card(
          elevation: 5,
          child: Container(
            decoration: BoxDecoration(
              image: DecorationImage(
                fit: BoxFit.fitWidth,
                image: AssetImage(
                  'assets/images/traveler_2.jpg',
                ),
              ),
            ),
          ),
        ),
      ),
      Spacer(flex: 1),
      Expanded(
        flex: 4,
        child: Column(
          children: <Widget>[
            Spacer(flex: 1),
            Expanded(
              flex: isPortrait ? 4 : 1,
              child: Text(
                widget.texts[2],
                textAlign: TextAlign.left,
                style: TextStyle(
                  color: Colors.grey,
                  fontSize: 22,
                  //fontWeight: FontWeight.bold,
                ),
              ),
            ),
            Spacer(flex: 1),
          ],
        ),
      ),
      Spacer(flex: 2),
    ];

    return Container(
      color: Colors.white,
      height: isPortrait
          ? (MediaQuery.of(context).size.height * 2)
          : (MediaQuery.of(context).size.height),
      child: FractionallySizedBox(
        widthFactor: isPortrait ? 0.8 : 1,
        child: Column(
          children: <Widget>[
            isPortrait ? Container() : Spacer(flex: 1),
            Expanded(
              flex: 2,
              child: AutoSizeText(
                widget.texts[0],
                textAlign: TextAlign.left,
                style: TextStyle(
                  color: Colors.black,
                  fontSize: 40,
                  fontWeight: FontWeight.bold,
                ),
                minFontSize: 30,
                maxLines: 4,
                overflow: TextOverflow.clip,
              ),
            ),
            isPortrait ? Container() : Spacer(flex: 1),
            Expanded(
              flex: 6,
              child: Flex(
                  direction: isPortrait ? Axis.vertical : Axis.horizontal,
                  children: <Widget>[
                    Spacer(flex: 2),
                    Expanded(
                      flex: 4,
                      child: Column(
                        children: <Widget>[
                          Spacer(flex: 1),
                          Expanded(
                            flex: isPortrait ? 4 : 1,
                            child: Text(
                              widget.texts[1],
                              textAlign: TextAlign.left,
                              style: TextStyle(
                                color: Colors.grey,
                                fontSize: 22,
                                //fontWeight: FontWeight.bold,
                              ),
                            ),
                          ),
                          Spacer(flex: 1),
                        ],
                      ),
                    ),
                    Spacer(flex: 1),
                    Expanded(
                      flex: isPortrait ? 6 : 4,
                      child: Card(
                        elevation: 5,
                        child: Container(
                          decoration: BoxDecoration(
                            image: DecorationImage(
                              fit: BoxFit.fitWidth,
                              image: AssetImage(
                                'assets/images/traveler_1.jpg',
                              ),
                            ),
                          ),
                        ),
                      ),
                    ),
                    Spacer(flex: 2),
                  ]),
            ),
            isPortrait ? Container() : Spacer(flex: 1),
            Expanded(
              flex: 6,
              child: Flex(
                direction: isPortrait ? Axis.vertical : Axis.horizontal,
                children:
                    isPortrait ? widgetsList.reversed.toList() : widgetsList,
              ),
            ),
            isPortrait ? Container() : Spacer(flex: 1),
            Expanded(
              flex: 6,
              child: Flex(
                direction: isPortrait ? Axis.vertical : Axis.horizontal,
                children: <Widget>[
                  Spacer(flex: 2),
                  Expanded(
                    flex: 4,
                    child: Column(
                      children: <Widget>[
                        isPortrait ? Container() : Spacer(flex: 1),
                        Expanded(
                          flex: isPortrait ? 20 : 1,
                          child: Text(
                            widget.texts[3],
                            textAlign: TextAlign.left,
                            style: TextStyle(
                              color: Colors.grey,
                              fontSize: 22,
                              //fontWeight: FontWeight.bold,
                            ),
                          ),
                        ),
                        Spacer(flex: 1),
                      ],
                    ),
                  ),
                  Spacer(flex: 1),
                  Expanded(
                    flex: isPortrait ? 6 : 4,
                    child: Column(
                      children: <Widget>[
                        Expanded(
                          flex: 8,
                          child: FlatButton(
                            onPressed: () {
                              Scaffold.of(context).showSnackBar(SnackBar(
                                content: Text("Coming soon 👍"),
                                duration: Duration(seconds: 1),
                              ));
                              //launchInBrowser("https://play.google.com/store/apps");
                            },
                            child: Container(
                              decoration: BoxDecoration(
                                color: Colors.transparent,
                                image: DecorationImage(
                                  fit: BoxFit.fitHeight,
                                  image: AssetImage(
                                    'assets/images/mobile_stores/google_badge_en.png',
                                  ),
                                ),
                              ),
                            ),
                          ),
                        ),
                        Expanded(
                          flex: 6,
                          child: FlatButton(
                            onPressed: () {
                              Scaffold.of(context).showSnackBar(SnackBar(
                                content: Text("Coming soon 👍"),
                                duration: Duration(seconds: 1),
                              ));
                              //launchInBrowser("https://www.apple.com/ios/app-store/");
                            },
                            child: Container(
                              decoration: BoxDecoration(
                                color: Colors.transparent,
                                image: DecorationImage(
                                  fit: BoxFit.fitHeight,
                                  image: AssetImage(
                                    'assets/images/mobile_stores/apple_badge_en.png',
                                  ),
                                ),
                              ),
                            ),
                          ),
                        ),
                      ],
                    ),
                  ),
                  Spacer(flex: 2),
                ],
              ),
            ),
            isPortrait ? Container() : Spacer(flex: 1),
          ],
        ),
      ),
    );
  }
}
