import 'package:flutter_firebase_basic_tools/logic/custom_colors.dart';
import 'package:auto_size_text/auto_size_text.dart';
import 'package:flutter/material.dart';

class MadeByContainer extends StatelessWidget {
  MadeByContainer({
    @required this.text,
  });

  final String text;
  final CustomColors customColors = CustomColors();

  @override
  Widget build(BuildContext context) {
    bool isPortrait =
        MediaQuery.of(context).orientation == Orientation.portrait;
    return Container(
      height: isPortrait
          ? (MediaQuery.of(context).size.height / 18)
          : (MediaQuery.of(context).size.height / 28),
      width: MediaQuery.of(context).size.width,
      color: customColors.green,
      child: FractionallySizedBox(
        heightFactor: 0.9,
        widthFactor: 0.8,
        child: Center(
          child: AutoSizeText(
            text,
            textAlign: TextAlign.center,
            style: TextStyle(
              color: Colors.white,
              fontSize: 13,
              fontWeight: FontWeight.bold,
            ),
            minFontSize: 11,
            maxLines: 1,
            overflow: TextOverflow.clip,
          ),
        ),
      ),
    );
  }
}
