import 'package:flutter_firebase_basic_tools/widgets/project_examples_container_item.dart';
import 'package:flutter/material.dart';

class ProjectExamplesContainer extends StatefulWidget {
  const ProjectExamplesContainer({
    @required this.texts,
  });

  final List<String> texts;

  @override
  _ProjectExamplesContainerState createState() =>
      _ProjectExamplesContainerState();
}

class _ProjectExamplesContainerState extends State<ProjectExamplesContainer> {
  double currentPage = 0;
  final PageController pageController = PageController(initialPage: 0);

  @override
  Widget build(BuildContext context) {
    bool isPortrait =
        MediaQuery.of(context).size.width > MediaQuery.of(context).size.height
            ? false
            : true;

    if (isPortrait) {
      return PageView(
        scrollDirection: Axis.vertical,
        onPageChanged: (int page) {
          setState(() {
            currentPage = page.toDouble();
          });
        },
        pageSnapping: false,
        controller: pageController,
        children: [
          Column(
            mainAxisAlignment: MainAxisAlignment.center,
            children: <Widget>[
              FractionallySizedBox(
                widthFactor: 0.7,
                child: Text(
                  widget.texts[0],
                  textAlign: TextAlign.center,
                  style: TextStyle(
                    color: Colors.black,
                    fontSize: 40,
                    //fontWeight: FontWeight.bold,
                  ),
                ),
              ),
              FractionallySizedBox(
                widthFactor: 0.7,
                child: Text(
                  widget.texts[1],
                  textAlign: TextAlign.center,
                  style: TextStyle(
                    color: Colors.grey,
                    fontSize: 18,
                  ),
                ),
              ),
            ],
          ),
          ProjectExamplesContainerItem(
            imageToLeft: true,
            imageUrl: 'assets/images/project_demo_1.jpg',
            texts: widget.texts.sublist(2, 8),
          ),
          ProjectExamplesContainerItem(
            imageToLeft: false,
            imageUrl: 'assets/images/project_demo_2.jpg',
            texts: widget.texts.sublist(8, 14),
          ),
        ],
      );
    } else {
      return Container(
        color: Colors.white,
        height: MediaQuery.of(context).size.height,
        child: Column(
          children: <Widget>[
            Spacer(flex: 1),
            Expanded(
              flex: 1,
              child: FractionallySizedBox(
                widthFactor: 0.7,
                child: Text(
                  widget.texts[0],
                  textAlign: TextAlign.center,
                  style: TextStyle(
                    color: Colors.black,
                    fontSize: 40,
                    //fontWeight: FontWeight.bold,
                  ),
                ),
              ),
            ),
            Expanded(
              flex: 1,
              child: FractionallySizedBox(
                widthFactor: 0.7,
                child: Text(
                  widget.texts[1],
                  textAlign: TextAlign.center,
                  style: TextStyle(
                    color: Colors.grey,
                    fontSize: 18,
                  ),
                ),
              ),
            ),
            Spacer(flex: 1),
            Expanded(
              flex: 5,
              child: ProjectExamplesContainerItem(
                imageToLeft: true,
                imageUrl: 'assets/images/project_demo_1.jpg',
                texts: widget.texts.sublist(2, 8),
              ),
            ),
            Spacer(flex: 1),
            Expanded(
              flex: 5,
              child: ProjectExamplesContainerItem(
                imageToLeft: false,
                imageUrl: 'assets/images/project_demo_2.jpg',
                texts: widget.texts.sublist(8, 14),
              ),
            ),
            Spacer(flex: 1),
          ],
        ),
      );
    }
  }
}
