import 'package:flutter_firebase_basic_tools/widgets/characteristics_container_item.dart';
import 'package:flutter/material.dart';

class ProjectExamplesContainerItem extends StatefulWidget {
  const ProjectExamplesContainerItem({
    this.imageToLeft,
    this.imageUrl,
    @required this.texts,
  });

  final bool imageToLeft;
  final String imageUrl;
  final List<String> texts;

  @override
  _ProjectExamplesContainerItemState createState() =>
      _ProjectExamplesContainerItemState();
}

class _ProjectExamplesContainerItemState
    extends State<ProjectExamplesContainerItem> {
  @override
  Widget build(BuildContext context) {
    bool isPortrait =
        MediaQuery.of(context).size.width > MediaQuery.of(context).size.height
            ? false
            : true;

    return Container(
      height: MediaQuery.of(context).size.height / 2,
      width: MediaQuery.of(context).size.width,
      color: Colors.white,
      child: Flex(
        direction: isPortrait ? Axis.vertical : Axis.horizontal,
        children: <Widget>[
          widget.imageToLeft
              ? Expanded(
                  flex: 6,
                  child: Row(
                    children: <Widget>[
                      isPortrait ? Container() : Spacer(flex: 3),
                      Expanded(
                        flex: 4,
                        child: Card(
                          elevation: 5,
                          child: Container(
                            decoration: BoxDecoration(
                              image: DecorationImage(
                                fit: BoxFit.cover,
                                image: AssetImage(
                                  widget.imageUrl,
                                ),
                              ),
                            ),
                          ),
                        ),
                      ),
                    ],
                  ),
                )
              : Container(),
          Spacer(flex: widget.imageToLeft ? 1 : 2),
          Expanded(
            flex: 4,
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: <Widget>[
                Expanded(
                  flex: 1,
                  child: CharacteristicsContainerItem(
                    title: widget.texts[0],
                    description: widget.texts[1],
                    icon: Icons.shutter_speed,
                    color: Colors.white,
                    titleColor: Colors.black,
                    subtitleColor: Colors.grey,
                    iconColor: Colors.orangeAccent,
                    sideIcon: true,
                    largeDescription: false,
                    alignToLeftDescription: true,
                  ),
                ),
                Expanded(
                  flex: 1,
                  child: CharacteristicsContainerItem(
                    title: widget.texts[2],
                    description: widget.texts[3],
                    icon: Icons.message,
                    color: Colors.white,
                    titleColor: Colors.black,
                    subtitleColor: Colors.grey,
                    iconColor: Colors.lightBlueAccent,
                    sideIcon: true,
                    largeDescription: false,
                    alignToLeftDescription: true,
                  ),
                ),
                Expanded(
                  flex: 1,
                  child: CharacteristicsContainerItem(
                    title: widget.texts[4],
                    description: widget.texts[5],
                    icon: Icons.compare,
                    color: Colors.white,
                    titleColor: Colors.black,
                    subtitleColor: Colors.grey,
                    iconColor: Colors.redAccent,
                    sideIcon: true,
                    largeDescription: false,
                    alignToLeftDescription: true,
                  ),
                ),
              ],
            ),
          ),
          Spacer(flex: !widget.imageToLeft ? 1 : 2),
          !widget.imageToLeft
              ? Expanded(
                  flex: 6,
                  child: Row(
                    children: <Widget>[
                      Expanded(
                        flex: 4,
                        child: Card(
                          elevation: 5,
                          child: Container(
                            decoration: BoxDecoration(
                              image: DecorationImage(
                                fit: BoxFit.cover,
                                image: AssetImage(
                                  widget.imageUrl,
                                ),
                              ),
                            ),
                          ),
                        ),
                      ),
                      isPortrait ? Container() : Spacer(flex: 3),
                    ],
                  ),
                )
              : Container(),
        ],
      ),
    );
  }
}
