import 'package:flutter_firebase_basic_tools/widgets/team_members_container_item.dart';
import 'package:flutter/material.dart';

class TeamMembersContainer extends StatefulWidget {
  const TeamMembersContainer({
    @required this.texts,
  });

  final List<String> texts;

  @override
  _TeamMembersContainerState createState() => _TeamMembersContainerState();
}

class _TeamMembersContainerState extends State<TeamMembersContainer> {
  @override
  Widget build(BuildContext context) {
    return Container(
      height: MediaQuery.of(context).size.height,
      width: MediaQuery.of(context).size.width,
      color: Colors.white,
      child: Column(
        children: <Widget>[
          Spacer(flex: 1),
          Expanded(
            flex: 1,
            child: FractionallySizedBox(
              widthFactor: 0.7,
              child: Text(
                'Our team members',
                textAlign: TextAlign.center,
                style: TextStyle(
                  color: Colors.black,
                  fontSize: 40,
                  //fontWeight: FontWeight.bold,
                ),
              ),
            ),
          ),
          Spacer(flex: 1),
          Expanded(
            flex: 6,
            child: Row(
              children: <Widget>[
                Spacer(flex: 8),
                Expanded(
                  flex: 14,
                  child: TeamMembersContainerItem(
                    name: "Matthew Garcia",
                    position: 'Project Manager',
                    description: 'Lorem ipsum dolor sit amet.',
                    imageUrl: 'assets/images/project_demo_1.jpg',
                  ),
                ),
                Spacer(flex: 1),
                Expanded(
                  flex: 14,
                  child: TeamMembersContainerItem(
                    name: "Miguel Garcia",
                    position: 'CEO',
                    description: 'Lorem ipsum dolor sit amet.',
                    imageUrl: 'assets/images/project_demo_2.jpg',
                  ),
                ),
                Spacer(flex: 8),
              ],
            ),
          ),
          Spacer(flex: 1),
          Expanded(
            flex: 6,
            child: Row(
              children: <Widget>[
                Spacer(flex: 8),
                Expanded(
                  flex: 14,
                  child: TeamMembersContainerItem(
                    name: "Aneth Garcia",
                    position: 'Marketing Director',
                    description: 'Lorem ipsum dolor sit amet.',
                    imageUrl: 'assets/images/project_demo_1.jpg',
                  ),
                ),
                Spacer(flex: 1),
                Expanded(
                  flex: 14,
                  child: TeamMembersContainerItem(
                    name: "Javier Garcia",
                    position: 'CTO',
                    description: 'Lorem ipsum dolor sit amet.',
                    imageUrl: 'assets/images/project_demo_2.jpg',
                  ),
                ),
                Spacer(flex: 8),
              ],
            ),
          ),
          Spacer(flex: 2),
        ],
      ),
    );
  }
}
