import 'package:flutter_firebase_basic_tools/widgets/characteristics_container_item.dart';
import 'package:flutter/material.dart';

class WhyUsContainer extends StatefulWidget {
  const WhyUsContainer({
    @required this.texts,
  });

  final List<String> texts;

  @override
  _WhyUsContainerState createState() => _WhyUsContainerState();
}

class _WhyUsContainerState extends State<WhyUsContainer> {
  @override
  Widget build(BuildContext context) {
    bool isPortrait =
        MediaQuery.of(context).size.width > MediaQuery.of(context).size.height
            ? false
            : true;

    return Container(
      height: isPortrait
          ? (MediaQuery.of(context).size.height * 3.2)
          : (MediaQuery.of(context).size.height),
      width: MediaQuery.of(context).size.width,
      color: Colors.white,
      child: FractionallySizedBox(
        widthFactor: isPortrait ? 1 : 0.8,
        child: Column(
          children: <Widget>[
            Spacer(flex: 1),
            Expanded(
              flex: isPortrait ? 3 : 1,
              child: FractionallySizedBox(
                widthFactor: 0.7,
                child: Text(
                  widget.texts[0],
                  textAlign: TextAlign.center,
                  style: TextStyle(
                    color: Colors.black,
                    fontSize: 40,
                    //fontWeight: FontWeight.bold,
                  ),
                ),
              ),
            ),
            Expanded(
              flex: isPortrait ? 2 : 1,
              child: FractionallySizedBox(
                widthFactor: 0.7,
                child: Text(
                  widget.texts[1],
                  textAlign: TextAlign.center,
                  style: TextStyle(
                    color: Colors.grey,
                    fontSize: 18,
                  ),
                ),
              ),
            ),
            Expanded(
              flex: isPortrait ? 42 : 12,
              child: Flex(
                direction: isPortrait ? Axis.vertical : Axis.horizontal,
                children: <Widget>[
                  Expanded(
                    flex: isPortrait ? 5 : 1,
                    child: CharacteristicsContainerItem(
                      //title: widget.texts[2],
                      title: "American",
                      description: widget.texts[3],
                      icon: Icons.shutter_speed,
                      color: Colors.white.withAlpha(0),
                      titleColor: Colors.black,
                      subtitleColor: Colors.grey,
                      iconColor: Colors.orangeAccent,
                      sideIcon: false,
                      largeDescription: true,
                      alignToLeftDescription: true,
                    ),
                  ),
                  Expanded(
                    flex: isPortrait ? 5 : 1,
                    child: CharacteristicsContainerItem(
                      //title: widget.texts[4],
                      title: "Business",
                      description: widget.texts[5],
                      icon: Icons.message,
                      color: Colors.white.withAlpha(0),
                      titleColor: Colors.black,
                      subtitleColor: Colors.grey,
                      iconColor: Colors.lightBlueAccent,
                      sideIcon: false,
                      largeDescription: true,
                      alignToLeftDescription: true,
                    ),
                  ),
                  Expanded(
                    flex: isPortrait ? 5 : 1,
                    child: CharacteristicsContainerItem(
                      //title: widget.texts[6],
                      title: "Excellence",
                      description: widget.texts[7],
                      icon: Icons.compare,
                      color: Colors.white.withAlpha(0),
                      titleColor: Colors.black,
                      subtitleColor: Colors.grey,
                      iconColor: Colors.redAccent,
                      sideIcon: false,
                      largeDescription: true,
                      alignToLeftDescription: true,
                    ),
                  ),
                ],
              ),
            ),
            Spacer(flex: 1),
          ],
        ),
      ),
    );
  }
}
